<!DOCTYPE html>
<html>
<head>
    <title>Navigation Area Mini Project</title>
    <style>
        /* CSS for navigation area */
        .nav {
            background-color: #333; /* Sets the background color of the navigation area to dark gray */
            color: #fff; /* Sets the text color to white */
            padding: 10px; /* Adds padding around the navigation area */
        }
        
        .nav ul {
            list-style-type: none; /* Removes the default bullet points from the unordered list */
            margin: 0; /* Removes the default margin from the unordered list */
            padding: 0; /* Removes the default padding from the unordered list */
        }
        
        .nav li {
            display: inline-block; /* Displays the list items horizontally */
            margin-right: 10px; /* Adds right margin between the list items */
        }
        
        .nav a {
            color: #fff; /* Sets the text color of the navigation links to white */
            text-decoration: none; /* Removes the underline from the navigation links */
            padding: 5px; /* Adds padding around the navigation links */
        }
        
        .nav a:hover {
            background-color: #555; /* Sets the background color of the navigation links when hovered to dark gray */
        }
    </style>
</head>
<body>
    <div class="nav"> <!-- Creates a div element with a class of "nav" to represent the navigation area -->
        <ul> <!-- Starts an unordered list to hold the navigation links -->
            <li><a href="#">Home</a></li> <!-- Creates a list item with a link to the "Home" page -->
            <li><a href="#">About</a></li> <!-- Creates a list item with a link to the "About" page -->
            <li><a href="#">Services</a></li> <!-- Creates a list item with a link to the "Services" page -->
            <li><a href="#">Contact</a></li> <!-- Creates a list item with a link to the "Contact" page -->
        </ul>
    </div>
</body>
</html>